Telegram APIStats
stats.getMegagroupStats
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/stats.getMegagroupStats" \ -H "Content-Type: application/json" \ -d '{ "params": { "channel": { "_": "inputChannelEmpty" } } }'{ "result": { "_": "stats.megagroupStats", "period": { "_": "statsDateRangeDays", "minDate": 0, "maxDate": 0 }, "members": { "_": "statsAbsValueAndPrev", "current": 0.1, "previous": 0.1 }, "messages": { "_": "statsAbsValueAndPrev", "current": 0.1, "previous": 0.1 }, "viewers": { "_": "statsAbsValueAndPrev", "current": 0.1, "previous": 0.1 }, "posters": { "_": "statsAbsValueAndPrev", "current": 0.1, "previous": 0.1 }, "growthGraph": { "_": "statsGraphAsync", "token": "string" }, "membersGraph": { "_": "statsGraphAsync", "token": "string" }, "newMembersBySourceGraph": { "_": "statsGraphAsync", "token": "string" }, "languagesGraph": { "_": "statsGraphAsync", "token": "string" }, "messagesGraph": { "_": "statsGraphAsync", "token": "string" }, "actionsGraph": { "_": "statsGraphAsync", "token": "string" }, "topHoursGraph": { "_": "statsGraphAsync", "token": "string" }, "weekdaysGraph": { "_": "statsGraphAsync", "token": "string" }, "topPosters": [ { "_": "statsGroupTopPoster", "userId": 0, "messages": 0, "avgChars": 0 } ], "topAdmins": [ { "_": "statsGroupTopAdmin", "userId": 0, "deleted": 0, "kicked": 0, "banned": 0 } ], "topInviters": [ { "_": "statsGroupTopInviter", "userId": 0, "invitations": 0 } ], "users": [ { "_": "userEmpty", "id": 0 } ] }}getBroadcastStats
Get [channel statistics](https://core.telegram.org/api/stats)
getMessagePublicForwards
Obtains a list of messages, indicating to which other public channels was a channel message forwarded. Will return a list of `RawMessage` with peer_id equal to the public channel to which this message was forwarded.